<app-header>
    <h1 class="user-name">{{ name$ | async }}</h1>
    <app-button *ngIf="name$ | async" class="btn" [button-text]="'Log Out'" (click)="onLogout()"></app-button>
</app-header>
<router-outlet></router-outlet>
<div class="app-root">
  <!-- <app-info [title]="'Your list is empty'" [text]="'Please use &quot;Add New Course&quot; button to add your first course'">
    <div class="btn">
      <app-button [button-text]="'Add New Course'"></app-button>
    </div>
  </app-info>
  <app-courses></app-courses>
  <app-login-form></app-login-form>
  <app-registration-form></app-registration-form>
  <app-course-form></app-course-form> -->

  <!-- Modal component -->
  <!-- <app-modal [message]="'Message'" [title]="'Title'" [okButtonText]="'Ok'" [cancelButtonText]="'Cancel'"></app-modal> -->
</div>
